global b0 a1;
global w1dkb0 w1dkb1 w1dkb2 w1dka0 w1dka1 w1dka2 w1dkk w1dka3;
global wdel2b0 wdel2b1 wdel2a0 wdel2a1 wdel2k;
global wdel1b0 wdel1b1 wdel1a0 wdel1a1 wdel1k;
global G_ic;

wdel1=nd2sys([wdel1b1 wdel1b0],[wdel1a1 wdel1a0],wdel1k); % multiplicative uncertainty weight in numerator
wdel2=nd2sys([wdel2b1 wdel2b0],[wdel2a1 wdel2a0],wdel2k); % uncertainty weight in denominator

w1dk=nd2sys([w1dkb1 w1dkb0],[w1dka3 w1dka2 w1dka1 w1dka0],w1dkk); % performance weight

Pfw=nd2sys([b0],[a1 0.0000001]);
Pfb=nd2sys([1],[a1 0.0000001]);

int1=nd2sys([0 1],[1 0.0000001], 1); % integrator

systemnames = ' Pfw Pfb wdel1 wdel2 w1dk int1 ';
inputvar='[ pertin1; pertin2; dist ; control ]';
outputvar='[ wdel1; wdel2; w1dk; Pfw + Pfb + dist; int1 ]';
input_to_Pfw = '[ control + pertin1 ]';
input_to_wdel1 = '[ control ]';
input_to_w1dk = '[ Pfw + Pfb + dist ]';
input_to_Pfb = '[ Pfw + Pfb + pertin2 ]';
input_to_wdel2 = '[ Pfw + Pfb ]';
input_to_int1 = '[ Pfw + Pfb + dist ]';
sysoutname = 'G_ic';
cleanupsysic = 'yes';
echo off;
sysic;