global w1b0 w1b1 w1b2 w1a0 w1a1 w1a2 w1k w1a3;
global wdel2b0 wdel2b1 wdel2a0 wdel2a1 wdel2k;
global wdel1b0 wdel1b1 wdel1a0 wdel1a1 wdel1k;
global b0 a1;
global Gp_ic;

wdel1=nd2sys([wdel1b1 wdel1b0],[wdel1a1 wdel1a0],wdel1k); % multiplicative uncertainty weight in numerator
wdel2=nd2sys([wdel2b1 wdel2b0],[wdel2a1 wdel2a0],wdel2k); % uncertainty weight in denominator

w1=nd2sys([w1b1 w1b0],[w1a3 w1a2 w1a1 w1a0],w1k); % performance weight

Pfw=nd2sys([b0],[a1 0]);
Pfb=nd2sys([1],[a1 0]);

systemnames = ' Pfw Pfb wdel1 wdel2 w1 ';
inputvar='[ pertin1; pertin2; dist ; control ]';
outputvar='[ wdel1; wdel2; w1; Pfw + Pfb + dist ]';
input_to_Pfw = '[ control + pertin1 ]';
input_to_wdel1 = '[ control ]';
input_to_w1 = '[ Pfw + Pfb + dist ]';
input_to_Pfb = '[ Pfw + Pfb + pertin2 ]';
input_to_wdel2 = '[ Pfw + Pfb ]';
sysoutname = 'Gp_ic';
cleanupsysic = 'yes';
echo off;
sysic;