global w1b0 w1b1 w1b2 w1a0 w1a1 w1a2 w1k w1a3;
global wdel2b0 wdel2b1 wdel2a0 wdel2a1 wdel2k;
global wdel1b0 wdel1b1 wdel1a0 wdel1a1 wdel1k;
global b0 a1;
global sysn2dofdk;
global b_kdk1 a_kdk1 b_kdk2 a_kdk2 b_kdk1fw;

wdel1=nd2sys([wdel1b1 wdel1b0],[wdel1a1 wdel1a0],wdel1k); % multiplicative uncertainty weight in numerator
wdel2=nd2sys([wdel2b1 wdel2b0],[wdel2a1 wdel2a0],wdel2k); % uncertainty weight in denominator

%w1=nd2sys([w1b1 w1b0],[w1a3 w1a2 w1a1 w1a0],w1k); % performance weight

gfc = nd2sys(b_kdk2,a_kdk2,1);
gfb = nd2sys(b_kdk1,a_kdk1,-1);
gff = nd2sys(b_kdk1fw,a_kdk1,1);

Pfw=nd2sys([b0],[a1 0]);
Pfb=nd2sys([1],[a1 0]);

systemnames = ' gff gfb gfc Pfw Pfb wdel1 wdel2 ';
inputvar='[ ref; pertin1; pertin2 ]';
outputvar='[ Pfw + Pfb; gfc; wdel1; wdel2 ]';
input_to_Pfw = '[ gfc + pertin1 ]';
input_to_wdel1 = '[ gfc ]';
input_to_Pfb = '[ Pfw + Pfb + pertin2 ]';
input_to_wdel2 = '[ Pfw + Pfb ]';
input_to_gff = '[ ref ]';
input_to_gfb = '[ Pfw + Pfb ]';
input_to_gfc = '[ gff + gfb ]';
sysoutname = 'sysn2dofdk';
cleanupsysic = 'yes';
echo off;
sysic;