global b_kdk a_kdk;
global dkminomega;
global dkmaxomega;
global dknpmu;

warning off;

GetSysTdDK;
[A,B,C,D] = tf2ss(b_kdk,a_kdk);
gfb = pck(A,B,C,D);
clp = starp(G_ic,gfb,1,1);
omega1 = logspace(dkminomega,dkmaxomega,dknpmu);
clpg = frsp(clp,omega1);
[bnds_loop,dvec1,sens1,pvec1]=mu(clpg,blk,'Ucs');
%vplot('liv,m',sel(bnds_loop,1,1),ps);
bndsvn=vnorm(sel(bnds_loop,1,1));
value=bndsvn(:,1);
omega=bndsvn(:,2);
svalue=size(value);
value=value(1:(svalue(1)-1),1);
omega=omega(1:(svalue(1)-1),1);
loglog(omega,value,ps);
title('Upper bound mu-plot of closed-loop system');
xlabel('Angular velocity');
disp(sprintf('Maximum value of mu-function upper bound for D-K itaration: %0.5g',max(value)));